aboutsummaryrefslogtreecommitdiffstats
path: root/build-and-push.sh
diff options
context:
space:
mode:
authorJan Tuomi <jans.tuomi@gmail.com>2023-09-27 14:33:20 +0300
committerJan Tuomi <jans.tuomi@gmail.com>2023-09-27 14:33:20 +0300
commitfe57e4996ec79267dffd77e503ef8164eceea229 (patch)
tree06a1298a5dc3c1e835ecadc2ee2dd3af4ae3b07c /build-and-push.sh
parent7991ad93470cf42b9c4c96477fc920bbb8899eee (diff)
Remove GCP references, use self-hosted registry
Diffstat (limited to 'build-and-push.sh')
-rwxr-xr-xbuild-and-push.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build-and-push.sh b/build-and-push.sh
new file mode 100755
index 0000000..dbecd87
--- /dev/null
+++ b/build-and-push.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+IMAGE=registry.jan.systems/hommabot2:latest
+
+set -euxo pipefail
+docker build --platform linux/amd64 -t $IMAGE .
+docker push $IMAGE